summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNorbert Thiebaud <nthiebaud@gmail.com>2014-10-08 16:04:32 -0500
committerNorbert Thiebaud <nthiebaud@gmail.com>2014-10-08 16:04:40 -0500
commitb81602d8914f2e00d14087ea710f0fbde39a1ca6 (patch)
treec0962383d8af0281661a094cad60fcb28f09f79e
parentc900dd47e4eabc6a8b977ff012379a52f6a7c43c (diff)
try to make sure that R is forwared up
-rw-r--r--tb/tb_internals.sh7
1 files changed, 4 insertions, 3 deletions
diff --git a/tb/tb_internals.sh b/tb/tb_internals.sh
index 3e3ae9a..c08cf23 100644
--- a/tb/tb_internals.sh
+++ b/tb/tb_internals.sh
@@ -857,7 +857,7 @@ run_gerrit_task()
# run the build
do_build ${phase_list?}
fi
- # tell teh gerrit buildbot of the result of the build
+ # tell the gerrit buildbot of the result of the build
# R contain the overall result
report_gerrit
@@ -940,8 +940,9 @@ run_primer()
tb_SEND_MAIL="none"
pushd "${TB_GIT_DIR?}" > /dev/null || die "Cannot cd to git repo ${TB_GIT_DIR?} for profile ${P?}"
run_tb_task
+ exit "$R"
)
- R=$?
+ R="$?"
done
}
@@ -1276,7 +1277,7 @@ try_run_task()
rm -f "${TB_TRIGGER_FILE?}"
fi
fi
- return $R
+ exit "$R"
)
R="$?"
# check we we intercepted a signal, if so bail